Subject: Re: [PATCH v2 4/4] submodule: cache superproject gitdir during 'update'

From: Emily Shaffer <[email-masked]>
Date: Thu, 19 Aug 2021 11:02:17 -0700

On Tue, Jul 27, 2021 at 10:51:51AM -0700, Jonathan Tan wrote:
> 
> > A cached path to the superproject's gitdir might be added during 'git
> 
> [snip]
> 
> > +		# Cache a pointer to the superproject's gitdir. This may have
> 
> Patches 3 and 4 look good to me except that for me, a cache is something
> that lets us avoid an expensive computation. But as far as I know, we're
> not planning to perform the expensive computation in the absence of a
> cache. Maybe the word "record" would fit better.
> 
> This is nit-picky, though, and if others think that the word "cache"
> fits here, that's fine by me too.

Thanks. I switched the commit messages around to use 'record' and 'hint'
when appropriate instead. I'll send a reroll with those nits as soon as
it passes CI.

 - Emily